Package org.italiangrid.voms.ac

# Interface VOMSACLookupStrategy

All Known Implementing Classes:
  `LeafACLookupStrategy`

public interface VOMSACLookupStrategy
A strategy for looking up a set of VOMS Attribute Certificates from a certificate chain.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`List<ACParsingContext>`
`lookupVOMSAttributeCertificates(X509Certificate[] certChain)`
This method defines how a set of VOMS Attribute Certificates is looked for in a certificate chain.

## Method Details

### lookupVOMSAttributeCertificates

List<ACParsingContext> lookupVOMSAttributeCertificates(X509Certificate[] certChain)
This method defines how a set of VOMS Attribute Certificates is looked for in a certificate chain.

Parameters:
  `certChain` - the certificate chain that will be searched for VOMS attribute certificates
Returns:
  a `List` of `ACParsingContext` that describes the lookup outcome